login|Register
Forum > Gentoo
Post|
看17175|回5|Favorite
loboris 看全部
2015-10-25 04:27:15
Gentoo Linux is now available, please visit this thread

  • configured
  • wired network enabled
  • ssh enabled
  • ntp installed and enabled
  • some additional programs installed (htop, mc (MidnightCommander), gentoolkit, tmux, btrfs-progs, ...)
  • user orangepi, password orangepi
  • root password orangepi


jacer 看全部
2015-11-4 12:01:12
Good job, loboris. Only Slackware Linux is missing now. I contacted OpenWRT developers their will release a firmware after Kernel 4.2 is out. The patches is ready as they told me.
loboris 看全部
2015-11-9 23:07:16

quote:

jacer replied at 2015-11-4 05:01
Good job, loboris. Only Slackware Linux is missing now. I contacted OpenWRT developers their will re ...

I don't expect kernel 4.x will be available for H3.
Slackware image is now available.

jacer 看全部
2015-11-10 21:55:08

quote:

loboris replied at 2015-11-9 23:07
I don't expect kernel 4.x will be available for H3.
Slackware image is now available.

Good job. Thanks for your contribution.
WonderBoy 看全部
2017-2-25 22:43:05
Just an update on the topic with my problems and solutions for them.
Before booting check the boot partition of your SD card and replace script.bin and uImage with the proper one for you - in my case for OPi 2+. With the default one I didn't have ethernet.

(1)After you install it you HAVE to run fs_resize first! Otherwise your root partition if full and you can't install anything.
I wanted to install Gentoo on the NAND and I tried to use /usr/local/bin/install_to_emmc
The problems were missing parted(which contains partprobe) and missing dossfstools(which contains mkfs.vfat). After emerging parted and dosfstools I installed Gentoo on the NAND and I was able to boot from it.

Next - update all the packages and new problem - there was major update of portage and you have to upgrade portage first before you upgrade anything.
I did first emerge-webrsync
and then I had to upgrade portage with PYTHON_TARGETS='python3_4 python3_5 python3_6' emerge -1v portage. Actually to upgrade portage you have to remove python2_7 and pypy from PYTHON_TARGETS for portage.
Finally I was able to start upgrading everything with emerge v --update --deep --with-bdeps=y --newuse @world

I'll update this if I have any new findings
12NextPage

OrangePi En

Powered by Discuz! X3.4

homepage|Simple edition|Touch edition|PC